# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl rpm-macros-mageia-compat
BuildRequires: perl(Encode.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Device-Cdio
%define upstream_version v2.0.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	2.0.0
Release:	alt5_10
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils/PkgConfig.pm)
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(version.pm)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	swig
Source44: import.info

%description
A module to make easier temporary directories deletion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1


%build
/usr/bin/perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendor_archlib}/*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt5_10
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 2.0.0-alt5_9
- rebuild to get rid of unmets

* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt4_9
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.0.0-alt4_8
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 2.0.0-alt4_7
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt3_7
- update by mgaimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 2.0.0-alt3_6
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt2_6
- rebuild with perl 5.30

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_6
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_5
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> v2.0.0-alt2_4
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> v2.0.0-alt1_4
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> v2.0.0-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> v2.0.0-alt1_2
- new version

